Debian Bug report logs - #359851
linux-sound-base: OSS emulation incorrectly disabled

version graph

Package: linux-sound-base; Maintainer for linux-sound-base is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>;

Reported by: David Liontooth <liontooth@cogweb.net>

Date: Wed, 29 Mar 2006 09:18:01 UTC

Severity: normal

Found in version linux-sound-base/1.0.10-3

Fixed in version alsa-driver/1.0.11-1

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#359851; Package linux-sound-base. Full text and rfc822 format available.

Acknowledgement sent to David Liontooth <liontooth@cogweb.net>:
New Bug report received and forwarded. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Liontooth <liontooth@cogweb.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-sound-base: OSS emulation incorrectly disabled
Date: Wed, 29 Mar 2006 01:04:35 -0800
Package: linux-sound-base
Version: 1.0.10-3
Severity: normal


The symlink to /lib/linux-sound-base/noOSS.modprobe.conf may be involved in 
incorrectly disabling oss emulation.

On a mainline 2.6.16 kernel, I built the oss emulation components as modules:

# lsmod | grep oss
snd_pcm_oss            51872  0
snd_mixer_oss          17536  1 snd_pcm_oss
snd_pcm                92296  4 saa7134_alsa,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd                    60256  7 saa7134_alsa,snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer

The new saa7134-oss module creates device nodes:

saa7134 OSS driver for DMA sound loaded
saa7133[0]: registered device dsp1
saa7133[0]: registered device mixer1
saa7133[1]: registered device dsp2
saa7133[1]: registered device mixer2

To record from VLC using a v4l card, I issue

vlc v4l:/dev/video2:norm=ntsc:frequency=77250:size=640x480:channel=5:\
adev=/dev/dsp2:samplerate=32000:audio=0:stop-time=$TIM \
--sout "#transcode{vcodec=h264,fps=29.97,acodec=mpga}\
:std{access=file,mux=asf,dst=$DIR/$FIL.mpg}" aspect-ratio "4:3" -I dummy

I get in response,

/usr/sbin/alsactl: load_state:1250: Cannot find soundcard '2'...
ALSA lib pcm_hw.c:1305:(_snd_pcm_hw_open) Invalid value for card
Error opening audio: No such device

This is true -- there is no soundcard 2 as far as alsa is concerned:

   $ cat /proc/asound/cards

    0 [CK8S           ]: NFORCE - NVidia CK8S
                     NVidia CK8S with ALC850 at 0xfc003000, irq 17

But alsa should see the oss devices through the oss emulation.

When I remove the symlink to /lib/linux-sound-base/noOSS.modprobe.conf in
/etc/modprobe.d before I load saa7134-oss, I get "saa7134 OSS driver for DMA sound
loaded" and the dsp1 and mixer1 device receipts, then:

 saa7134 ALSA: can't load, DMA sound handler already assigned (probably to OSS)

When I now run channel-vlc, it doesn't object to /dev/dsp2, so somehow removing
the symlink allows the oss devices to be seen. Other applications that use
alsactl to validate device enumerations, for instance transcode, work under
protest and pick up sound from the card:

 /usr/sbin/alsactl: load_state:1250: Cannot find soundcard '2'...

But then I get this:

 [import_v4l2.so]: Audio input from saa7134 detected, you should set audio sample
rate to 32 Khz using -e

It looks like the symlink to /lib/linux-sound-base/noOSS.modprobe.conf is involved
in incorrectly disabling oss emulation.

Dave

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-agp
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages linux-sound-base depends on:
ii  debconf [debconf-2.0]         1.4.72     Debian configuration management sy

linux-sound-base recommends no packages.

-- debconf information:
  linux-sound-base/sound_system: ALSA



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#359851; Package linux-sound-base. Full text and rfc822 format available.

Acknowledgement sent to David Liontooth <liontooth@cogweb.net>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 359851@bugs.debian.org (full text, mbox):

From: David Liontooth <liontooth@cogweb.net>
To: Debian Bug Tracking System <359851@bugs.debian.org>
Subject: linux-sound-base: Building alsa into the kernel resolves the problem
Date: Wed, 29 Mar 2006 02:02:57 -0800
Package: linux-sound-base
Version: 1.0.10-3
Followup-For: Bug #359851


After rebuilding the kernel with all the alsa components, including the oss 
emulation, into the kernel rather than as modules, the problem is gone.

David



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#359851; Package linux-sound-base. Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 359851@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: 359851@bugs.debian.org
Cc: 359851-submitter@bugs.debian.org
Subject: Bug#359851: linux-sound-base: OSS emulation incorrectly disabled
Date: Wed, 29 Mar 2006 22:02:41 +0200
[Message part 1 (text/plain, inline)]
On Wed, 29 Mar 2006 the mental interface of
David Liontooth told:

> Package: linux-sound-base
> Version: 1.0.10-3
> Severity: normal
> 
> 
> The symlink to /lib/linux-sound-base/noOSS.modprobe.conf may be
> involved in incorrectly disabling oss emulation.

Does /etc/modprobe.conf exists on your system?

Elimar


-- 
  Excellent day for drinking heavily. 
  Spike the office water cooler;-)
[Message part 2 (application/pgp-signature, inline)]

Message sent on to David Liontooth <liontooth@cogweb.net>:
Bug#359851. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#359851; Package linux-sound-base. Full text and rfc822 format available.

Acknowledgement sent to David Liontooth <liontooth@cogweb.net>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #23 received at 359851@bugs.debian.org (full text, mbox):

From: David Liontooth <liontooth@cogweb.net>
To: Elimar Riesebieter <riesebie@lxtec.de>, 359851-quiet@bugs.debian.org
Cc: 359851@bugs.debian.org, 359851-submitter@bugs.debian.org
Subject: Re: Bug#359851: linux-sound-base: OSS emulation incorrectly disabled
Date: Wed, 29 Mar 2006 13:01:42 -0800
Elimar Riesebieter wrote:
> On Wed, 29 Mar 2006 the mental interface of
> David Liontooth told:
>
>   
>> Package: linux-sound-base
>> Version: 1.0.10-3
>> Severity: normal
>>
>>
>> The symlink to /lib/linux-sound-base/noOSS.modprobe.conf may be
>> involved in incorrectly disabling oss emulation.
>>     
>
> Does /etc/modprobe.conf exists on your system?
>   
No. This is a fresh Debian installation followed by a dist-upgrade to 
sid, with few customizations.
Let me know if there's anything I can test.

David





Information stored:
Bug#359851; Package linux-sound-base. Full text and rfc822 format available.

Acknowledgement sent to David Liontooth <liontooth@cogweb.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message sent on to David Liontooth <liontooth@cogweb.net>:
Bug#359851. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#359851; Package linux-sound-base. Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #36 received at 359851@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: 359851@bugs.debian.org
Cc: 359851-submitter@bugs.debian.org
Subject: Re: Bug#359851: linux-sound-base: OSS emulation incorrectly disabled
Date: Wed, 29 Mar 2006 23:31:58 +0200
On Wed, 29 Mar 2006 the mental interface of
David Liontooth told:

> Elimar Riesebieter wrote:
> >On Wed, 29 Mar 2006 the mental interface of
> >David Liontooth told:
> >
> >  
> >>Package: linux-sound-base
> >>Version: 1.0.10-3
> >>Severity: normal
> >>
> >>
> >>The symlink to /lib/linux-sound-base/noOSS.modprobe.conf may be
> >>involved in incorrectly disabling oss emulation.
> >>    
> >
> >Does /etc/modprobe.conf exists on your system?
> >  
> No. This is a fresh Debian installation followed by a dist-upgrade to sid, with 
> few customizations.
> Let me know if there's anything I can test.

Could you please rebuild alsa as modules. Then do as root

$ echo saa7134 >> /usr/share/linux-sound-base/OSS-module-list

reboot and test your OSS-emu again.

Elimar


-- 
  Planung:
  Ersatz des Zufalls durch den Irrtum.
                                -unknown-



Message sent on to David Liontooth <liontooth@cogweb.net>:
Bug#359851. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#359851; Package linux-sound-base. Full text and rfc822 format available.

Acknowledgement sent to David Liontooth <liontooth@cogweb.net>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #44 received at 359851@bugs.debian.org (full text, mbox):

From: David Liontooth <liontooth@cogweb.net>
To: Elimar Riesebieter <riesebie@lxtec.de>, 359851-quiet@bugs.debian.org
Cc: 359851@bugs.debian.org, 359851-submitter@bugs.debian.org
Subject: Re: Bug#359851: linux-sound-base: OSS emulation incorrectly disabled
Date: Wed, 29 Mar 2006 15:26:36 -0800
Elimar Riesebieter wrote:
> On Wed, 29 Mar 2006 the mental interface of
> David Liontooth told:
>
>   
>> Elimar Riesebieter wrote:
>>     
>>> On Wed, 29 Mar 2006 the mental interface of
>>> David Liontooth told:
>>>
>>>  
>>>       
>>>> Package: linux-sound-base
>>>> Version: 1.0.10-3
>>>> Severity: normal
>>>>
>>>>
>>>> The symlink to /lib/linux-sound-base/noOSS.modprobe.conf may be
>>>> involved in incorrectly disabling oss emulation.
>>>>    
>>>>         
>>> Does /etc/modprobe.conf exists on your system?
>>>  
>>>       
>> No. This is a fresh Debian installation followed by a dist-upgrade to sid, with 
>> few customizations.
>> Let me know if there's anything I can test.
>>     
>
> Could you please rebuild alsa as modules. Then do as root
>
> $ echo saa7134 >> /usr/share/linux-sound-base/OSS-module-list
>
> reboot and test your OSS-emu again.
>   
I have both the modular and the non-modular kernel available, and can 
boot into one or the other at will.

I added saa7134 to /usr/share/linux-sound-base/OSS-module-list, as you 
instruct, and rebooted into the modular kernel.

dmesg shows that the system by default has loaded saa7134 without any 
insmod parameters, and has not loaded either saa7134-oss or 
saa7134-alsa, since 2.6.16 separate modules. To activate oss, I remove 
saa7134 and reinsert with these options, which I place in 
/etc/modprobe.d/saa7134:

# Load saa7134-oss with kernel 2.6.16
options saa7134 card=2,2,2,2 tuner=43,43,43,43 video_nr=1,2,3,4 
vbi_nr=1,2,3,4 radio_nr=1,2,3,4
install saa7134 /sbin/modprobe --ignore-install saa7134; /sbin/modprobe 
saa7134-oss
options saa7134-oss dsp_nr=1,2,3,4 mixer_nr=1,2,3,4

dmesg show shows the four saa7134 cards correctly configured, and in 
addition the oss device nodes:

saa7133[0]: registered device dsp1
saa7133[0]: registered device mixer1
saa7133[1]: registered device dsp2
saa7133[1]: registered device mixer2
saa7133[2]: registered device dsp3
saa7133[2]: registered device mixer3
saa7133[3]: registered device dsp4
saa7133[3]: registered device mixer4

I don't know, however, if this procedure spoiled your experiment, let me 
know. I had to do something to load saa7134-oss.

When I now run vlc, it finds the OSS devices, so that your suggestion 
appears to have fixed the problem.
I made a note on the v4l wiki, cf. 
http://linuxtv.org/v4lwiki/index.php/Saa7134-alsa#Insmod_parameters

Best wishes,
David











Information stored:
Bug#359851; Package linux-sound-base. Full text and rfc822 format available.

Acknowledgement sent to David Liontooth <liontooth@cogweb.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message sent on to David Liontooth <liontooth@cogweb.net>:
Bug#359851. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#359851; Package linux-sound-base. Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #57 received at 359851@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: 359851@bugs.debian.org, 359851-submitter@bugs.debian.org
Subject: Re: Bug#359851: linux-sound-base: OSS emulation incorrectly disabled
Date: Sat, 1 Apr 2006 00:10:27 +0200
On Wed, 29 Mar 2006 the mental interface of
David Liontooth told:

[...]
> I have both the modular and the non-modular kernel available, and can boot into 
> one or the other at will.
> 
> I added saa7134 to /usr/share/linux-sound-base/OSS-module-list, as you 
> instruct, and rebooted into the modular kernel.
> 
> dmesg shows that the system by default has loaded saa7134 without any insmod 
> parameters, and has not loaded either saa7134-oss or saa7134-alsa, since 2.6.16 
> separate modules. To activate oss, I remove saa7134 and reinsert with these 
> options, which I place in /etc/modprobe.d/saa7134:
> 
> # Load saa7134-oss with kernel 2.6.16
> options saa7134 card=2,2,2,2 tuner=43,43,43,43 video_nr=1,2,3,4 vbi_nr=1,2,3,4 
> radio_nr=1,2,3,4
> install saa7134 /sbin/modprobe --ignore-install saa7134; /sbin/modprobe 
> saa7134-oss
> options saa7134-oss dsp_nr=1,2,3,4 mixer_nr=1,2,3,4
> 
> dmesg show shows the four saa7134 cards correctly configured, and in addition 
> the oss device nodes:
> 
> saa7133[0]: registered device dsp1
> saa7133[0]: registered device mixer1
> saa7133[1]: registered device dsp2
> saa7133[1]: registered device mixer2
> saa7133[2]: registered device dsp3
> saa7133[2]: registered device mixer3
> saa7133[3]: registered device dsp4
> saa7133[3]: registered device mixer4
> 
> I don't know, however, if this procedure spoiled your experiment, let me know. 
> I had to do something to load saa7134-oss.
> 
> When I now run vlc, it finds the OSS devices, so that your suggestion appears 
> to have fixed the problem.

First I need somme clarifikation 'cause I don't have a soundcard
running saa7137 handy:
Are there three modules available in 1.0.10:
saa7137
saa7137-oss
saa7137-alsa ?

I can't seee the reason yet. What is the saa7137 for? Will it be
unloded automacigly by loading a -oss/alsa one?

If not, loding -oss/alsa via /etc/modules like this entry

saa7134 card=2,2,2,2 tuner=43,43,43,43 video_nr=1,2,3,4 \
vbi_nr=1,2,3,4  radio_nr=1,2,3,4
saa7134-oss dsp_nr=1,2,3,4 mixer_nr=1,2,3,4

should be that easy ;)

Any way, I'll blacklist saa7134 in svn.

Thanks for reporting

ELimar


-- 
  "Talking much about oneself can also 
   be a means to conceal oneself."
         -Friedrich Nietzsche



Message sent on to David Liontooth <liontooth@cogweb.net>:
Bug#359851. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#359851; Package linux-sound-base. Full text and rfc822 format available.

Acknowledgement sent to David Liontooth <liontooth@cogweb.net>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #65 received at 359851@bugs.debian.org (full text, mbox):

From: David Liontooth <liontooth@cogweb.net>
To: Elimar Riesebieter <riesebie@lxtec.de>, 359851-quiet@bugs.debian.org
Cc: 359851@bugs.debian.org, 359851-submitter@bugs.debian.org
Subject: Re: Bug#359851: linux-sound-base: OSS emulation incorrectly disabled
Date: Fri, 31 Mar 2006 14:49:01 -0800
Elimar Riesebieter wrote:
> On Wed, 29 Mar 2006 the mental interface of
> David Liontooth told:
>
> [...]
>   
>> I have both the modular and the non-modular kernel available, and can boot into 
>> one or the other at will.
>>
>> I added saa7134 to /usr/share/linux-sound-base/OSS-module-list, as you 
>> instruct, and rebooted into the modular kernel.
>>
>> dmesg shows that the system by default has loaded saa7134 without any insmod 
>> parameters, and has not loaded either saa7134-oss or saa7134-alsa, since 2.6.16 
>> separate modules. To activate oss, I remove saa7134 and reinsert with these 
>> options, which I place in /etc/modprobe.d/saa7134:
>>
>> # Load saa7134-oss with kernel 2.6.16
>> options saa7134 card=2,2,2,2 tuner=43,43,43,43 video_nr=1,2,3,4 vbi_nr=1,2,3,4 
>> radio_nr=1,2,3,4
>> install saa7134 /sbin/modprobe --ignore-install saa7134; /sbin/modprobe 
>> saa7134-oss
>> options saa7134-oss dsp_nr=1,2,3,4 mixer_nr=1,2,3,4
>>
>> dmesg show shows the four saa7134 cards correctly configured, and in addition 
>> the oss device nodes:
>>
>> saa7133[0]: registered device dsp1
>> saa7133[0]: registered device mixer1
>> saa7133[1]: registered device dsp2
>> saa7133[1]: registered device mixer2
>> saa7133[2]: registered device dsp3
>> saa7133[2]: registered device mixer3
>> saa7133[3]: registered device dsp4
>> saa7133[3]: registered device mixer4
>>
>> I don't know, however, if this procedure spoiled your experiment, let me know. 
>> I had to do something to load saa7134-oss.
>>
>> When I now run vlc, it finds the OSS devices, so that your suggestion appears 
>> to have fixed the problem.
>>     
>
> First I need somme clarification 'cause I don't have a soundcard
> running saa7137 handy:
> Are there three modules available in 1.0.10:
> saa7137
> saa7137-oss
> saa7137-alsa ?
>   
There has been a series of changes in recent kernels (note this is all 
saa7134, not saa7137, which doesn't exist in Linux):

Up through 2.6.14 (and all of 2.4): an oss function is built into the 
saa7134 module
Starting with 2.6.15: a separate saa7134-alsa module; the oss function 
still built into the saa7134 module
Starting with 2.6.16: a separate saa7134-oss module in addition to the 
separate saa7134-alsa module -- the oss component has now been fully 
removed from the saa7134 module. Either saa7134-oss or saa7134-alsa (but 
not both at the same time) can be inserted to provide DMA sound for the 
saa7134 card.
> I can't seee the reason yet. What is the saa7137 for? Will it be
> unloded automacigly by loading a -oss/alsa one?
>   
saa7134 is the driver for a family of television cards, using the 
Philips saa7134 decoder chip. The saa7134 driver has the same function 
for these chips as the older bttv driver has for bt87x chips -- it talks 
to the chip that digitizes an analog video signal. In the 2.6.16 kernel, 
this driver does not automagically load either of the two available DMA 
sound drivers; these must be loaded independently. Unloading one of the 
sound drivers (saa7134-oss or saa7134-alsa) will not unload the saa7134 
driver. It is still possible to use the saa7134 driver without using 
either of the two DMA sound drivers, for instance by attaching a patch 
cable from the tv card to a separate sound card.

For details, see http://linuxtv.org/v4lwiki/index.php/Saa7134-alsa -- 
note that the two alternative DMA sound modules take different insmod 
parameters.
> If not, loding -oss/alsa via /etc/modules like this entry
>
> saa7134 card=2,2,2,2 tuner=43,43,43,43 video_nr=1,2,3,4 \
> vbi_nr=1,2,3,4  radio_nr=1,2,3,4
> saa7134-oss dsp_nr=1,2,3,4 mixer_nr=1,2,3,4
>
> should be that easy ;)
>   
Here it's my turn not to understand what's going on :-) -- not sure what 
you're commenting on here.
> Any way, I'll blacklist saa7134 in svn.
>   
That did seem to do the trick -- you might want to ensure that people 
will still be able to use the card with a patch cable (and thus no DMA 
sound driver), though this is frankly not going to be the common usage.

The other concern is that the saa7134-oss module is new with kernel 
2.6.16, and the saa7134-alsa module is new with kernel 2.6.15, so you 
will want to pay attention to backwards compatibility. I don't really 
understand the logic of blacklisting in order to maintain OSS emulation, 
so I can't advice you on this.

Thank you for looking into this and hopefully solving the problem for 
others!

Cheers,
David






Information stored:
Bug#359851; Package linux-sound-base. Full text and rfc822 format available.

Acknowledgement sent to David Liontooth <liontooth@cogweb.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message sent on to David Liontooth <liontooth@cogweb.net>:
Bug#359851. Full text and rfc822 format available.

Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to David Liontooth <liontooth@cogweb.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #78 received at 359851-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 359851-close@bugs.debian.org
Subject: Bug#359851: fixed in alsa-driver 1.0.11-1
Date: Sun, 23 Apr 2006 08:32:10 -0700
Source: alsa-driver
Source-Version: 1.0.11-1

We believe that the bug you reported is fixed in the latest version of
alsa-driver, which is due to be installed in the Debian FTP archive:

alsa-base_1.0.11-1_all.deb
  to pool/main/a/alsa-driver/alsa-base_1.0.11-1_all.deb
alsa-driver_1.0.11-1.diff.gz
  to pool/main/a/alsa-driver/alsa-driver_1.0.11-1.diff.gz
alsa-driver_1.0.11-1.dsc
  to pool/main/a/alsa-driver/alsa-driver_1.0.11-1.dsc
alsa-driver_1.0.11.orig.tar.gz
  to pool/main/a/alsa-driver/alsa-driver_1.0.11.orig.tar.gz
alsa-source_1.0.11-1_all.deb
  to pool/main/a/alsa-driver/alsa-source_1.0.11-1_all.deb
linux-sound-base_1.0.11-1_all.deb
  to pool/main/a/alsa-driver/linux-sound-base_1.0.11-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 359851@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated alsa-driver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 23 Apr 2006 17:06:15 +0200
Source: alsa-driver
Binary: linux-sound-base alsa-source alsa-base
Architecture: source all
Version: 1.0.11-1
Distribution: unstable
Urgency: low
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 alsa-base  - ALSA driver configuration files
 alsa-source - ALSA driver sources
 linux-sound-base - base package for ALSA and OSS sound systems
Closes: 344760 345101 346231 354041 359851 359856 360287
Changes: 
 alsa-driver (1.0.11-1) unstable; urgency=low
 .
   * New upstream release
     - builds with Linux 2.6.16 (closes: #359856, #360287)
 .
   [ Elimar Riesebieter ]
   * Added saa7134 to debian/OSS-module-list and removed appropriate note in
     debian/notes (Closes: #359851)
   * Introduced Build-Depends for debhelper and dpatch as requested from
     lintian.
   * Removed the lintian capital-letters from overrides, as they are not needed
     anymore.
   * Reorked overrides rules
   * Introduced 98_pmac.dpatch as the native sources don't build the powermac
     driver.
 .
 alsa-driver (1.0.10+1.0.11rc3-1) experimental; urgency=low
 .
    * New upstream release candidate
      Closes: #354041 "'Bad page state at free_hot_cold_page' kernel errors"
 .
    [ Elimar Riesebieter ]
    * Removed patches/04_make_minus_j_fix.dpatch which has applied different from     upstream
 .
    [ Thomas Hood ]
    * Set perms on /var/run/alsa
    * Put module-init-tools before modutils in Depends
    * /etc/init.d/alsa: Use a more standard PATH
    * Correct copyright file to reflect the fact that 10% of the files
      don't offer the GPL version option
 .
 alsa-driver (1.0.10+1.0.11rc2-2) experimental; urgency=low
 .
   [ Thomas Hood ]
   * Make linux-sound-base and alsa-base Depend on versions of
     module-init-tools supporting blacklists  (Closes: #346231)
   * Create /var/run/alsa where needed and don't include this dir
     in the package any more  (Closes: #344760)
 .
 alsa-driver (1.0.10+1.0.11rc2-1) experimental; urgency=low
 .
   * New upstream release candidate
 .
 alsa-driver (1.0.10+1.0.11rc1-1) experimental; urgency=low
 .
   * New upstream release candidate
 .
   [ Elimar Riesebieter ]
   * Update dpatches
 .
   [ Jordi Mallach and Thomas Hood ]
   * /etc/modprobe.d/alsa-base: Call modprobe with full path for now,
     to work around the absence of /sbin from the PATH at boot time
     on systems with certain versions of kernel initrds, sysvinit,
     udev and zsh (symlinked in as /bin/sh).  (Closes: #345101)
Files: 
 08bbd162e036ba52870b1001cad50b63 793 sound optional alsa-driver_1.0.11-1.dsc
 f949b8af0f964a9964be6e151a7e75ea 2975595 sound optional alsa-driver_1.0.11.orig.tar.gz
 a00229c3cb27df0e1b109ebd8fa98200 183653 sound optional alsa-driver_1.0.11-1.diff.gz
 ba578d32eea5978403a5dd1367f3955b 26670 sound optional linux-sound-base_1.0.11-1_all.deb
 81756aceec0f53c09865cd7c7658d762 158516 sound optional alsa-base_1.0.11-1_all.deb
 a8a2b180a003b80a895e89efc6cf0ec8 2474060 sound optional alsa-source_1.0.11-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFES5isJYSUupF6Il4RAuXnAJ923Q6wpEwaHdbNPkhPtEjx6HYoEgCgsl2o
1CsZZvKw4ufvbmYhp/qbY5s=
=5tl0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 20:01:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:59:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.